import request from '@/utils/request'

// 查询物资分类-二级分类列表
export function listMaterialClass(query) {
  return request({
    url: '/materialClass/materialClassSub/list',
    method: 'get',
    params: query
  })
}

// 查询物资分类-二级分类详细
export function getMaterialClass(classSubId) {
  return request({
    url: '/materialClass/materialClassSub/' + classSubId,
    method: 'get'
  })
}

// 新增物资分类-二级分类
export function addMaterialClass(data) {
  return request({
    url: '/materialClass/materialClassSub',
    method: 'post',
    data: data
  })
}

// 修改物资分类-二级分类
export function updateMaterialClass(data) {
  return request({
    url: '/materialClass/materialClassSub',
    method: 'put',
    data: data
  })
}

// 删除物资分类-二级分类
export function delMaterialClass(classSubId) {
  return request({
    url: '/materialClass/materialClassSub/' + classSubId,
    method: 'delete'
  })
}
